<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="font-monospace text-size-small text-secondary">
  <div *ngIf="x500Infos?.emailAddress?.length > 0">
    <span class="fw-bold">E:</span>{{x500Infos.emailAddress}}
  </div>
  <div *ngIf="x500Infos?.commonName?.length > 0">
    <span class="fw-bold">CN:</span>{{x500Infos.commonName}}
  </div>
  <div *ngIf="x500Infos?.organizationalUnit?.length > 0">
    <span class="fw-bold">OU:</span>{{x500Infos.organizationalUnit}}
  </div>
  <div *ngIf="x500Infos?.organization?.length > 0">
    <span class="fw-bold">O:</span>{{x500Infos.organization}}
  </div>
  <div *ngIf="x500Infos?.locality?.length > 0">
    <span class="fw-bold">L:</span>{{x500Infos.locality}}
  </div>
  <div *ngIf="x500Infos?.stateOrProvince?.length > 0">
    <span class="fw-bold">ST:</span>{{x500Infos.stateOrProvince}}
  </div>
  <div *ngIf="x500Infos?.country?.length > 0">
    <span class="fw-bold">C:</span>{{x500Infos.country}}
  </div>
</div>
